

%define okteta2core_major 2
%define okteta2gui_major 2
%define kasten3okteta1gui_major 1
%define kasten3okteta1core_major 1
%define kasten3okteta1controllers_major 1
%define kasten3gui_major 3
%define kasten3core_major 3
%define kasten3controllers_major 3

Name: okteta
Summary: Editor for raw file data as Hex values
Version: 17.12.3
Group: Graphical desktop/KDE5
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/%version/src/%{name}-%{version}.tar.xz

BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5xml-devel

BuildRequires: kf5-macros
BuildRequires: kbookmarks-devel
BuildRequires: kcodecs-devel
BuildRequires: kcompletion-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kdbusaddons-devel
BuildRequires: kdoctools-devel
BuildRequires: kiconthemes-devel
BuildRequires: ki18n-devel
BuildRequires: kcmutils-devel
BuildRequires: kio-devel
BuildRequires: knewstuff-devel
BuildRequires: kparts-devel
BuildRequires: kservice-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kxmlgui-devel

BuildRequires: lib64qca2-qt5-devel

%description
Okteta is a simple editor for the raw data of files. This type of
program is also called hex editor or binary editor.

%files
%_sysconfdir/xdg/okteta-structures.knsrc
%_kf5_bindir/struct2osd
%_kf5_bindir/okteta
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/okteta
%_kf5_datadir/config.kcfg/structviewpreferences.kcfg
%_kf5_iconsdir/*/*/apps/okteta.png
%_kf5_datadir/mime/packages/okteta.xml
%_qt5_plugindir/oktetapart.so
%_qt5_plugindir/designer/oktetawidgets.so
%_kf5_datadir/kxmlgui5/okteta
%_kf5_datadir/kxmlgui5/oktetapart
%_kf5_datadir/metainfo
#------------------------------------------------------------------------------
%_kf5_libdir/libokteta2core.so.%{okteta2core_major}
%_kf5_libdir/libokteta2core.so.0.*
#------------------------------------------------------------------------------
%_kf5_libdir/libokteta2gui.so.%{okteta2gui_major}
%_kf5_libdir/libokteta2gui.so.0.*
#------------------------------------------------------------------------------
%_kf5_libdir/libkasten3okteta1gui.so.%{kasten3okteta1gui_major}
%_kf5_libdir/libkasten3okteta1gui.so.0.*
#------------------------------------------------------------------------------
%_kf5_libdir/libkasten3okteta1core.so.%{kasten3okteta1core_major}
%_kf5_libdir/libkasten3okteta1core.so.0.*
#------------------------------------------------------------------------------
%_kf5_libdir/libkasten3okteta1controllers.so.%{kasten3okteta1controllers_major}
%_kf5_libdir/libkasten3okteta1controllers.so.0.*
#------------------------------------------------------------------------------
%_kf5_libdir/libkasten3gui.so.%{kasten3gui_major}
%_kf5_libdir/libkasten3gui.so.0.*
#------------------------------------------------------------------------------
%_kf5_libdir/libkasten3core.so.%{kasten3core_major}
%_kf5_libdir/libkasten3core.so.0.*
#------------------------------------------------------------------------------
%_kf5_libdir/libkasten3controllers.so.%{kasten3controllers_major}
%_kf5_libdir/libkasten3controllers.so.0.*
#------------------------------------------------------------------------------
%_kf5_datadir/locale

%package handbook
Summary: %name handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description handbook
This package provides %name handbook.

%files handbook
%doc %_kf5_docdir/HTML

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
%makeinstall_std -C build

rm -rf %buildroot/%_includedir
rm -rf %buildroot/%_kf5_libdir/*.so
rm -rf %buildroot%_kf5_libdir/cmake
rm -rf %buildroot/%_qt5_plugindir/designer/oktetadesignerplugin.so

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-Tools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Thu Dec 15 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Thu Mar 12 2015 bb <bb> 16.08.3-1pclos2016
- update

